dnl Template for the makefile.
dnl Edit this file, NOT the makefile itself.
dnl
changecom()dnl
define(`ifnempty', `ifdef(`$1', `ifelse(`$1', `', `ifdef(`$3', `$3', `')', `$2')', `$3')')dnl
define(`default', `ifnempty(`$1', `$1', `$2')')dnl
.POSIX:

#
# DO NOT EDIT THIS FILE! IT MAY GET OVERWRITTEN!
# Edit makefile.m4 instead and run ./configure to (re-)generate the makefile.
#


#
# Variables
#

# Translation domain.
domain = default(`__domain', `basisklassifikation')

# Domain path.
path = default(`__path', `lang')

# POT file.
pot = $(path)/$(domain).pot


#
# Targets
#

.PHONY: $(pot) clean lint mrproper style

.SUFFIXES: .mo .po

.po.mo:
	msgfmt -o$@ $<

makefile: makefile.m4
	./configure

$(pot):
	wp i18n make-pot . $(pot)

clean:
	find . -iname '*.mo' -exec rm -f '{}' +

mrproper: clean
	find . '(' \
	-iname '*.po' -o \
	-iname '*.pot' \
	')' -exec rm -f '{}' +


lint:
	phpstan analyze .

style:
	php-cs-fixer fix --rules=@PER-CS1.0 .
