<?php

/*
 * Boilerplate
 */

declare(strict_types=1);

namespace Univie\Basisklassifikation;

if (!defined('\\ABSPATH')) {
    exit();
}


/*
 * Evaluate a checkbox.
 */

abstract class AbstractCheckbox extends AbstractInput
{
    protected string $type = 'checkbox';

    public function render(): void
    {
        ?>
            <fieldset>
        <?php

        if ($this->label !== null) {
            ?>
                <label for='<?= esc_attr($this->id) ?>'>
            <?php
        }

        ?>
            <input <?= $this->attrs('type', 'id', 'name') ?>>
        <?php

        if ($this->label !== null) {
            ?>
                <?= esc_html($this->label) ?>
                </label>
            <?php
        }

        if ($this->desc !== null) {
            ?>
                <p>
                    <?= esc_html($this->desc) ?>
                </p>
            <?php
        }

        ?>
            </fieldset>
        <?php
    }
}
